
nshk=length(find(eqtype_==0)); % # exogenous shocks

nperiods=100;

ntot=size(endog_,1);
nendog = ntot-nshk;
amat=cofb(1:nendog,1:nendog);
bstar=inv(scof(:,ntot+(1:ntot)));
bmat=bstar(1:nendog,nendog+(1:nshk));


innov1 = [1, zeros(1,nperiods-1)];

% compute response to shock jj 


y1 = zeros(nendog,nperiods);
y1(:,1) = bmat(:,jj)*innov1(1);

for t=2:nperiods,
    y1(:,t) = amat*y1(:,t-1) + bmat(:,jj)*innov1(t);
end;

y1t = y1';

